std::hash< __gnu_cxx::throw_value_limit > Struct Reference

`#include <throw_allocator.h>`

Inheritance diagram for std::hash< __gnu_cxx::throw_value_limit >:
[legend]

## Public Types

typedef __gnu_cxx::throw_value_limit | argument_type
typedef size_t | result_type

## Public Member Functions

size_t | operator() (const __gnu_cxx::throw_value_limit &__val) const

## Detailed Description

Explicit specialization of std::hash for __gnu_cxx::throw_value_limit.

Definition at line 987 of file throw_allocator.h.

## Member Typedef Documentation

## argument_type

typedef __gnu_cxx::throw_value_limit std::unary_function< __gnu_cxx::throw_value_limit , size_t >::argument_type

inherited

`argument_type` is the type of the argument

Definition at line 120 of file stl_function.h.

## result_type

typedef size_t std::unary_function< __gnu_cxx::throw_value_limit , size_t >::result_type

inherited

`result_type` is the return type

Definition at line 123 of file stl_function.h.

## Member Function Documentation

## operator()()

size_t std::hash< __gnu_cxx::throw_value_limit >::operator() | ( | const __gnu_cxx::throw_value_limit & | __val | ) | const

inline

Definition at line 991 of file throw_allocator.h.

The documentation for this struct was generated from the following file:

- throw_allocator.h